import { DataState,FieldInfo } from 'model-util-base'
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-02-09 14:25
 */
export interface DevopsHost{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 所属平台（1-阿里云；2-华为云；）
    * @type { number }
    */
    cloudPlatform?: number;
    /**
    * 区域
    * @type { string }
    */
    regionId?: string;
    /**
    * 主机实例id
    * @type { string }
    */
    instanceId?: string;
    /**
    * 主机ip(内网地址)
    * @type { string }
    */
    ip?: string;
    /**
    * 主机类型（0-nginx主机；1-应用主机；2-综合）
    * @type { number }
    */
    hostType?: number;
    /**
    * 主机名称
    * @type { string }
    */
    instanceName?: string;
    /**
    * 操作系统
    * @type { string }
    */
    operatinSystem?: string;
    /**
    * 所属项目组
    * @type { string }
    */
    businessGroup?: string;
    /**
    * 实例规格
    * @type { string }
    */
    instanceSpecifications?: string;
    /**
    * cpu
    * @type { number }
    */
    cpu?: number;
    /**
    * 内存
    * @type { number }
    */
    memory?: number;
    /**
    * 硬盘数量
    * @type { number }
    */
    diskNumber?: number;
    /**
    * 运行状态
    * @type { string }
    */
    runningState?: string;
    /**
    * 购买时间
    * @type { Date }
    */
    buyTime?: Date;
    /**
    * 到期时间
    * @type { Date }
    */
    expireTime?: Date;
    /**
    * 描述
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 自定义的分区
    * @type { string }
    */
    businessArea?: string;
    /**
    * 计费方式（1-包年包月；2-按量付费；）
    * @type { number }
    */
    billingWay?: number;
    /**
    * 云平台账户id
    * @type { string }
    */
    cloudAccountId?: string;
}
export class DevopsHostMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get CLOUD_PLATFORM(): FieldInfo{  
        return new FieldInfo('cloudPlatform','所属平台（1-阿里云；2-华为云；）');
    }
    static get REGION_ID(): FieldInfo{  
        return new FieldInfo('regionId','区域');
    }
    static get INSTANCE_ID(): FieldInfo{  
        return new FieldInfo('instanceId','主机实例id');
    }
    static get IP(): FieldInfo{  
        return new FieldInfo('ip','主机ip(内网地址)');
    }
    static get HOST_TYPE(): FieldInfo{  
        return new FieldInfo('hostType','主机类型（0-nginx主机；1-应用主机；2-综合）');
    }
    static get INSTANCE_NAME(): FieldInfo{  
        return new FieldInfo('instanceName','主机名称');
    }
    static get OPERATIN_SYSTEM(): FieldInfo{  
        return new FieldInfo('operatinSystem','操作系统');
    }
    static get BUSINESS_GROUP(): FieldInfo{  
        return new FieldInfo('businessGroup','所属项目组');
    }
    static get INSTANCE_SPECIFICATIONS(): FieldInfo{  
        return new FieldInfo('instanceSpecifications','实例规格');
    }
    static get CPU(): FieldInfo{  
        return new FieldInfo('cpu','cpu');
    }
    static get MEMORY(): FieldInfo{  
        return new FieldInfo('memory','内存');
    }
    static get DISK_NUMBER(): FieldInfo{  
        return new FieldInfo('diskNumber','硬盘数量');
    }
    static get RUNNING_STATE(): FieldInfo{  
        return new FieldInfo('runningState','运行状态');
    }
    static get BUY_TIME(): FieldInfo{  
        return new FieldInfo('buyTime','购买时间');
    }
    static get EXPIRE_TIME(): FieldInfo{  
        return new FieldInfo('expireTime','到期时间');
    }
    static get REMARK(): FieldInfo{  
        return new FieldInfo('remark','描述');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get BUSINESS_AREA(): FieldInfo{  
        return new FieldInfo('businessArea','自定义的分区');
    }
    static get BILLING_WAY(): FieldInfo{  
        return new FieldInfo('billingWay','计费方式（1-包年包月；2-按量付费；）');
    }
    static get CLOUD_ACCOUNT_ID(): FieldInfo{  
        return new FieldInfo('cloudAccountId','云平台账户id');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-02-09 14:25
 */
export interface DevopsRds{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 所属平台（1-阿里云；2-华为云；）
    * @type { number }
    */
    cloudPlatform?: number;
    /**
    * 
    * @type { string }
    */
    cloudAccountId?: string;
    /**
    * 区域
    * @type { string }
    */
    regionId?: string;
    /**
    * 主机实例id
    * @type { string }
    */
    instanceId?: string;
    /**
    * 主机ip(内网地址)
    * @type { string }
    */
    ip?: string;
    /**
    * 实例类型，如只读实例、常规实例
    * @type { string }
    */
    rdsType?: string;
    /**
    * 端口
    * @type { string }
    */
    port?: string;
    /**
    * 实例名称
    * @type { string }
    */
    instanceName?: string;
    /**
    * 所属项目组
    * @type { string }
    */
    businessGroup?: string;
    /**
    * 实例规格
    * @type { string }
    */
    instanceSpecifications?: string;
    /**
    * cpu
    * @type { number }
    */
    cpu?: number;
    /**
    * 内存
    * @type { number }
    */
    memory?: number;
    /**
    * 硬盘容量
    * @type { number }
    */
    diskCapacity?: number;
    /**
    * 数据库版本
    * @type { string }
    */
    version?: string;
    /**
    * 运行状态
    * @type { string }
    */
    runningState?: string;
    /**
    * 计费方式
    * @type { number }
    */
    billingWay?: number;
    /**
    * 购买时间
    * @type { Date }
    */
    buyTime?: Date;
    /**
    * 到期时间
    * @type { Date }
    */
    expireTime?: Date;
    /**
    * 描述
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 数据库引擎
    * @type { string }
    */
    engine?: string;
}
export class DevopsRdsMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get CLOUD_PLATFORM(): FieldInfo{  
        return new FieldInfo('cloudPlatform','所属平台（1-阿里云；2-华为云；）');
    }
    static get CLOUD_ACCOUNT_ID(): FieldInfo{  
        return new FieldInfo('cloudAccountId','');
    }
    static get REGION_ID(): FieldInfo{  
        return new FieldInfo('regionId','区域');
    }
    static get INSTANCE_ID(): FieldInfo{  
        return new FieldInfo('instanceId','主机实例id');
    }
    static get IP(): FieldInfo{  
        return new FieldInfo('ip','主机ip(内网地址)');
    }
    static get RDS_TYPE(): FieldInfo{  
        return new FieldInfo('rdsType','实例类型，如只读实例、常规实例');
    }
    static get PORT(): FieldInfo{  
        return new FieldInfo('port','端口');
    }
    static get INSTANCE_NAME(): FieldInfo{  
        return new FieldInfo('instanceName','实例名称');
    }
    static get BUSINESS_GROUP(): FieldInfo{  
        return new FieldInfo('businessGroup','所属项目组');
    }
    static get INSTANCE_SPECIFICATIONS(): FieldInfo{  
        return new FieldInfo('instanceSpecifications','实例规格');
    }
    static get CPU(): FieldInfo{  
        return new FieldInfo('cpu','cpu');
    }
    static get MEMORY(): FieldInfo{  
        return new FieldInfo('memory','内存');
    }
    static get DISK_CAPACITY(): FieldInfo{  
        return new FieldInfo('diskCapacity','硬盘容量');
    }
    static get VERSION(): FieldInfo{  
        return new FieldInfo('version','数据库版本');
    }
    static get RUNNING_STATE(): FieldInfo{  
        return new FieldInfo('runningState','运行状态');
    }
    static get BILLING_WAY(): FieldInfo{  
        return new FieldInfo('billingWay','计费方式');
    }
    static get BUY_TIME(): FieldInfo{  
        return new FieldInfo('buyTime','购买时间');
    }
    static get EXPIRE_TIME(): FieldInfo{  
        return new FieldInfo('expireTime','到期时间');
    }
    static get REMARK(): FieldInfo{  
        return new FieldInfo('remark','描述');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get ENGINE(): FieldInfo{  
        return new FieldInfo('engine','数据库引擎');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-02-09 14:25
 */
export interface CloudAccount{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 
    * @type { string }
    */
    accessKey?: string;
    /**
    * 
    * @type { string }
    */
    secret?: string;
    /**
    * 
    * @type { string }
    */
    projectId?: string;
    /**
    * 所属平台（1-阿里云；2-华为云；）
    * @type { number }
    */
    cloudPlatform?: number;
}
export class CloudAccountMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get ACCESS_KEY(): FieldInfo{  
        return new FieldInfo('accessKey','');
    }
    static get SECRET(): FieldInfo{  
        return new FieldInfo('secret','');
    }
    static get PROJECT_ID(): FieldInfo{  
        return new FieldInfo('projectId','');
    }
    static get CLOUD_PLATFORM(): FieldInfo{  
        return new FieldInfo('cloudPlatform','所属平台（1-阿里云；2-华为云；）');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-02-09 14:25
 */
export interface DevopsRedis{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 所属平台（1-阿里云；2-华为云；）
    * @type { number }
    */
    cloudPlatform?: number;
    /**
    * 
    * @type { string }
    */
    cloudAccountId?: string;
    /**
    * 区域
    * @type { string }
    */
    regionId?: string;
    /**
    * 主机实例id
    * @type { string }
    */
    instanceId?: string;
    /**
    * 主机ip(内网地址)
    * @type { string }
    */
    ip?: string;
    /**
    * 实例类型,如标准版、集群版
    * @type { string }
    */
    redisType?: string;
    /**
    * 端口
    * @type { string }
    */
    port?: string;
    /**
    * 实例名称
    * @type { string }
    */
    instanceName?: string;
    /**
    * 所属项目组
    * @type { string }
    */
    businessGroup?: string;
    /**
    * 实例规格
    * @type { string }
    */
    instanceSpecifications?: string;
    /**
    * cpu
    * @type { number }
    */
    cpu?: number;
    /**
    * 内存
    * @type { number }
    */
    memory?: number;
    /**
    * redis版本
    * @type { string }
    */
    version?: string;
    /**
    * 运行状态
    * @type { string }
    */
    runningState?: string;
    /**
    * 计费方式
    * @type { number }
    */
    billingWay?: number;
    /**
    * 购买时间
    * @type { Date }
    */
    buyTime?: Date;
    /**
    * 到期时间
    * @type { Date }
    */
    expireTime?: Date;
    /**
    * 描述
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export class DevopsRedisMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get CLOUD_PLATFORM(): FieldInfo{  
        return new FieldInfo('cloudPlatform','所属平台（1-阿里云；2-华为云；）');
    }
    static get CLOUD_ACCOUNT_ID(): FieldInfo{  
        return new FieldInfo('cloudAccountId','');
    }
    static get REGION_ID(): FieldInfo{  
        return new FieldInfo('regionId','区域');
    }
    static get INSTANCE_ID(): FieldInfo{  
        return new FieldInfo('instanceId','主机实例id');
    }
    static get IP(): FieldInfo{  
        return new FieldInfo('ip','主机ip(内网地址)');
    }
    static get REDIS_TYPE(): FieldInfo{  
        return new FieldInfo('redisType','实例类型,如标准版、集群版');
    }
    static get PORT(): FieldInfo{  
        return new FieldInfo('port','端口');
    }
    static get INSTANCE_NAME(): FieldInfo{  
        return new FieldInfo('instanceName','实例名称');
    }
    static get BUSINESS_GROUP(): FieldInfo{  
        return new FieldInfo('businessGroup','所属项目组');
    }
    static get INSTANCE_SPECIFICATIONS(): FieldInfo{  
        return new FieldInfo('instanceSpecifications','实例规格');
    }
    static get CPU(): FieldInfo{  
        return new FieldInfo('cpu','cpu');
    }
    static get MEMORY(): FieldInfo{  
        return new FieldInfo('memory','内存');
    }
    static get VERSION(): FieldInfo{  
        return new FieldInfo('version','redis版本');
    }
    static get RUNNING_STATE(): FieldInfo{  
        return new FieldInfo('runningState','运行状态');
    }
    static get BILLING_WAY(): FieldInfo{  
        return new FieldInfo('billingWay','计费方式');
    }
    static get BUY_TIME(): FieldInfo{  
        return new FieldInfo('buyTime','购买时间');
    }
    static get EXPIRE_TIME(): FieldInfo{  
        return new FieldInfo('expireTime','到期时间');
    }
    static get REMARK(): FieldInfo{  
        return new FieldInfo('remark','描述');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-02-09 14:25
 */
export interface DevopsApp{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 应用名称
    * @type { string }
    */
    appName?: string;
    /**
    * 应用代码
    * @type { string }
    */
    appCode?: string;
    /**
    * 应用类型：0-deamon应用；1-web应用
    * @type { number }
    */
    appType?: number;
    /**
    * 分区
    * @type { string }
    */
    businessArea?: string;
    /**
    * 所属项目组
    * @type { string }
    */
    businessGroup?: string;
    /**
    * 上下文
    * @type { string }
    */
    context?: string;
    /**
    * 应用端口
    * @type { string }
    */
    appPort?: string;
    /**
    * 监控端口
    * @type { string }
    */
    monitorPort?: string;
    /**
    * 当前版本
    * @type { string }
    */
    currentVersion?: string;
    /**
    * 健康检查url
    * @type { string }
    */
    healthUrl?: string;
    /**
    * web服务器类型：0-Tomcat；1-Node
    * @type { number }
    */
    webServer?: number;
    /**
    * 开发语言：0-JAVA；1-NodeJS
    * @type { number }
    */
    devLanguage?: number;
    /**
    * 环境编码
    * @type { string }
    */
    envCode?: string;
    /**
    * 运行状态
    * @type { string }
    */
    runningState?: string;
    /**
    * 描述
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 主机IP，多个时逗号隔开
    * @type { string }
    */
    hostIp?: string;
}
export class DevopsAppMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get APP_NAME(): FieldInfo{  
        return new FieldInfo('appName','应用名称');
    }
    static get APP_CODE(): FieldInfo{  
        return new FieldInfo('appCode','应用代码');
    }
    static get APP_TYPE(): FieldInfo{  
        return new FieldInfo('appType','应用类型：0-deamon应用；1-web应用');
    }
    static get BUSINESS_AREA(): FieldInfo{  
        return new FieldInfo('businessArea','分区');
    }
    static get BUSINESS_GROUP(): FieldInfo{  
        return new FieldInfo('businessGroup','所属项目组');
    }
    static get CONTEXT(): FieldInfo{  
        return new FieldInfo('context','上下文');
    }
    static get APP_PORT(): FieldInfo{  
        return new FieldInfo('appPort','应用端口');
    }
    static get MONITOR_PORT(): FieldInfo{  
        return new FieldInfo('monitorPort','监控端口');
    }
    static get CURRENT_VERSION(): FieldInfo{  
        return new FieldInfo('currentVersion','当前版本');
    }
    static get HEALTH_URL(): FieldInfo{  
        return new FieldInfo('healthUrl','健康检查url');
    }
    static get WEB_SERVER(): FieldInfo{  
        return new FieldInfo('webServer','web服务器类型：0-Tomcat；1-Node');
    }
    static get DEV_LANGUAGE(): FieldInfo{  
        return new FieldInfo('devLanguage','开发语言：0-JAVA；1-NodeJS');
    }
    static get ENV_CODE(): FieldInfo{  
        return new FieldInfo('envCode','环境编码');
    }
    static get RUNNING_STATE(): FieldInfo{  
        return new FieldInfo('runningState','运行状态');
    }
    static get REMARK(): FieldInfo{  
        return new FieldInfo('remark','描述');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get HOST_IP(): FieldInfo{  
        return new FieldInfo('hostIp','主机IP，多个时逗号隔开');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-02-09 14:25
 */
export interface DevopsNginxConf{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 模板名称
    * @type { string }
    */
    name?: string;
    /**
    * 初始模板文件
    * @type { string }
    */
    initConfFile?: string;
    /**
    * 目标配置文件
    * @type { string }
    */
    prodConfFile?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export class DevopsNginxConfMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get NAME(): FieldInfo{  
        return new FieldInfo('name','模板名称');
    }
    static get INIT_CONF_FILE(): FieldInfo{  
        return new FieldInfo('initConfFile','初始模板文件');
    }
    static get PROD_CONF_FILE(): FieldInfo{  
        return new FieldInfo('prodConfFile','目标配置文件');
    }
    static get REMARK(): FieldInfo{  
        return new FieldInfo('remark','备注');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-02-09 14:25
 */
export interface DevopsTemplateNginx{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 模板id
    * @type { string }
    */
    templateId?: string;
    /**
    * 是否切换流量
    * @type { number }
    */
    enabled?: number;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 主机实例id
    * @type { string }
    */
    hostInstanceId?: string;
    /**
    * extend field in DevopsHost
    * 主机ip(内网地址)
    * @type { string }
    */
    ip?: string;
    /**
    * extend field in DevopsHost
    * 主机名称
    * @type { string }
    */
    instanceName?: string;
    /**
    * extend field in DevopsHost
    * 自定义的分区
    * @type { string }
    */
    businessArea?: string;

    /**
    * 数据状态 
    * @type { DataState }
    */
    _state?: DataState;
}
export class DevopsTemplateNginxMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get TEMPLATE_ID(): FieldInfo{  
        return new FieldInfo('templateId','模板id');
    }
    static get ENABLED(): FieldInfo{  
        return new FieldInfo('enabled','是否切换流量');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get HOST_INSTANCE_ID(): FieldInfo{  
        return new FieldInfo('hostInstanceId','主机实例id');
    }
    static get IP(): FieldInfo{  
        return new FieldInfo('ip','主机ip(内网地址)');
    }
    static get INSTANCE_NAME(): FieldInfo{  
        return new FieldInfo('instanceName','主机名称');
    }
    static get BUSINESS_AREA(): FieldInfo{  
        return new FieldInfo('businessArea','自定义的分区');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-02-09 14:25
 */
export interface DevopsTemplateApp{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 模板id
    * @type { string }
    */
    templateId?: string;
    /**
    * 应用id
    * @type { string }
    */
    appId?: string;
    /**
    * 升级顺序
    * @type { number }
    */
    sortIndex?: number;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * extend field in DevopsApp
    * 应用名称
    * @type { string }
    */
    appName?: string;
    /**
    * extend field in DevopsApp
    * 应用类型：0-deamon应用；1-web应用
    * @type { number }
    */
    appType?: number;

    /**
    * 数据状态 
    * @type { DataState }
    */
    _state?: DataState;
}
export class DevopsTemplateAppMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get TEMPLATE_ID(): FieldInfo{  
        return new FieldInfo('templateId','模板id');
    }
    static get APP_ID(): FieldInfo{  
        return new FieldInfo('appId','应用id');
    }
    static get SORT_INDEX(): FieldInfo{  
        return new FieldInfo('sortIndex','升级顺序');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get APP_NAME(): FieldInfo{  
        return new FieldInfo('appName','应用名称');
    }
    static get APP_TYPE(): FieldInfo{  
        return new FieldInfo('appType','应用类型：0-deamon应用；1-web应用');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-02-09 14:25
 */
export interface DevopsTemplateHost{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 模板id
    * @type { string }
    */
    templateId?: string;
    /**
    * 是否选中升级
    * @type { number }
    */
    enabled?: number;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 主机实例id
    * @type { string }
    */
    hostInstanceId?: string;
    /**
    * extend field in DevopsHost
    * 主机ip(内网地址)
    * @type { string }
    */
    ip?: string;
    /**
    * extend field in DevopsHost
    * 主机名称
    * @type { string }
    */
    instanceName?: string;
    /**
    * extend field in DevopsHost
    * 自定义的分区
    * @type { string }
    */
    businessArea?: string;

    /**
    * 数据状态 
    * @type { DataState }
    */
    _state?: DataState;
}
export class DevopsTemplateHostMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get TEMPLATE_ID(): FieldInfo{  
        return new FieldInfo('templateId','模板id');
    }
    static get ENABLED(): FieldInfo{  
        return new FieldInfo('enabled','是否选中升级');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get HOST_INSTANCE_ID(): FieldInfo{  
        return new FieldInfo('hostInstanceId','主机实例id');
    }
    static get IP(): FieldInfo{  
        return new FieldInfo('ip','主机ip(内网地址)');
    }
    static get INSTANCE_NAME(): FieldInfo{  
        return new FieldInfo('instanceName','主机名称');
    }
    static get BUSINESS_AREA(): FieldInfo{  
        return new FieldInfo('businessArea','自定义的分区');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-02-09 14:25
 */
export interface DevopsTemplate{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 模板名称
    * @type { string }
    */
    templateName?: string;
    /**
    * 升级时间（0-夜间升级，1-白天升级）
    * @type { number }
    */
    upgradeTime?: number;
    /**
    * 任务描述
    * @type { string }
    */
    templateDesc?: string;
    /**
    * 分区
    * @type { string }
    */
    businessArea?: string;
    /**
    * 所属项目组
    * @type { string }
    */
    businessGroup?: string;
    /**
    * Nginx模板id
    * @type { string }
    */
    nginxConfId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 创建人id
    * @type { string }
    */
    createUserId?: string;
    /**
    * 修改人id
    * @type { string }
    */
    updateUserId?: string;
    /**
    * extend field in DevopsNginxConf
    * 模板名称
    * @type { string }
    */
    name?: string;

    /**
    * 数据状态 
    * @type { DataState }
    */
    _state?: DataState;
}
export class DevopsTemplateMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get TEMPLATE_NAME(): FieldInfo{  
        return new FieldInfo('templateName','模板名称');
    }
    static get UPGRADE_TIME(): FieldInfo{  
        return new FieldInfo('upgradeTime','升级时间（0-夜间升级，1-白天升级）');
    }
    static get TEMPLATE_DESC(): FieldInfo{  
        return new FieldInfo('templateDesc','任务描述');
    }
    static get BUSINESS_AREA(): FieldInfo{  
        return new FieldInfo('businessArea','分区');
    }
    static get BUSINESS_GROUP(): FieldInfo{  
        return new FieldInfo('businessGroup','所属项目组');
    }
    static get NGINX_CONF_ID(): FieldInfo{  
        return new FieldInfo('nginxConfId','Nginx模板id');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get CREATE_USER_ID(): FieldInfo{  
        return new FieldInfo('createUserId','创建人id');
    }
    static get UPDATE_USER_ID(): FieldInfo{  
        return new FieldInfo('updateUserId','修改人id');
    }
    static get NAME(): FieldInfo{  
        return new FieldInfo('name','模板名称');
    }
}


